## zowe › sysview › capture

Display output from a primary command stored in a SYSVIEW capture data set

#### Usage

zowe sysview capture <capture-dsn> <capture-command> [options]

#### Positional Arguments

- `capture-dsn` (string)

  - Capture data set name from which to retrieve captured commands

- `capture-command` (string)

  - Captured command to retrieve

#### data options

- `--capture-row` | `--cr` (number)

  - Row number of command within capture data set

- `--capture-screen` | `--cs` (string)

  - Screen name, for commands which have multiple screens

- `--capture-title` | `--ct` (string)

  - The captured command screen title or a user supplied title specified on the CAPIMMED command

- `--fields` | `-f` (array)

  - Fields to be returned (by name). For example: "jobname" "cpu"

- `--all-rows` | `--ar` (boolean)

  - Return all rows of data, no matter how many. Overrides --row-start and --row-end

- `--row-start` | `--rs` (number)

  - The first row of the response data to display

    Default value: 1

- `--row-end` | `--re` (number)

  - The last row of the response data to display

    Default value: 100

- `--timeout` | `--to` (number)

  - The number of seconds to wait before timing out

    Default value: 30

#### display options

- `--context-fields` | `--cf` (array)

  - Context fields to display. Defaults to hiding all context

- `--overview` | `-o` (boolean)

  - Display the overview section

- `--info` | `-i` (boolean)

  - Display the information area, if any

- `--pretty` | `-p` (boolean)

  - Display formatted data

- `--blank-if-zero` | `--biz` | `-b` (boolean)

  - Show a blank space instead of '0' values

- `--truncate` | `--tr` (boolean)

  - Truncate displays that are too wide for the console

    Default value: false

#### response format options

- `--response-format-csv` | `--csv` (boolean)

  - Format data as a set of Comma Seperated Values

#### sysview connection options

- `--host` | `-H` (string)

  - The hostname of the SYSVIEW REST API

- `--port` | `-P` (number)

  - The port number of the SYSVIEW REST API

- `--user` | `-u` (string)

  - Your z/OS username used to authenticate to the SYSVIEW REST API

- `--password` | `--pass` | `--pw` (string)

  - Your z/OS password used to authenticate to the SYSVIEW REST API

- `--reject-unauthorized` | `--ru` (boolean)

  - If set, the server certificate is verified against the list of supplied CAs

- `--ssid` (string)

  - SSID of the SYSVIEW instance. Default value: GSVX

    Default value: GSVX

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Do not specify this option if you are not using an API mediation layer.

    Default value: /api/v1

#### Profile Options

- `--sysview-profile` | `--sysview-p` (string)

  - The name of a (sysview) profile to load for this command execution.

- `--sysview-format-profile` | `--sysview-format-p` (string)

  - The name of a (sysview-format) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Display the captured ACTIVITY command from MY.CAPTURE.DATASET.:

  - `zowe sysview capture "MY.CAPTURE.DATASET" ACTIVITY`

- Display the Jobname, Jobid, and Status columns of the captured ACTIVITY command on row 3 from MY.CAPTURE.DATASET.:

  - `zowe sysview capture "MY.CAPTURE.DATASET" ACTIVITY --capture-row 3 --fields Jobname Jobid Status`